﻿@using LAP.Areas.Adviser.Models
@using System.Security.Claims
@{
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
}
@model ClientViewModel
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Client</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="adviser/home/saveclient" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddClient_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="ClientEmailChangeComplete">
            <div class="modal-body">
                <input type="hidden" value="adviser_list" id="hdnParentTable">
                <input type="hidden" asp-for="Id" />
                <input type="hidden" asp-for="Guid" />
                <input type="hidden" asp-for="TimeZone" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>First Name</label>
                            <input asp-for="ClientInfo.FirstName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="ClientInfo.FirstName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Middle Name</label>
                            <input asp-for="ClientInfo.MiddleInitial" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Last Name</label>
                            <input asp-for="ClientInfo.LastName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="ClientInfo.LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label>Email Address</label>
                            <div class="input-group">
                                <input asp-for="Email" class="form-control form-control-lg @(Model?.Id > 0 ? "disabled" :"")" id="ClientEmail">
                                @if (Model?.Id > 0)
                                {
                                    <div class="input-group-append" id="edit-email">
                                        <button class="btn btn-warning w-45px" type="button" data-toggle="tooltip" data-original-title="Edit"><i class="icon-lg far fa-edit"></i></button>
                                    </div>
                                }
                            </div>
                            <span asp-validation-for="Email" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row d-none" id="code-div">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Verification Code</label>
                            <input asp-for="VerificationCode" class="form-control form-control-lg" value="">
                            <span asp-validation-for="VerificationCode" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                @if (Model?.Id == 0)
                {
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group mb-5">
                                <label class="switch-label form-check-label" asp-for="IsMarried">
                                    Is Married?
                                </label>
                                <div>
                                    <span class="switch switch-icon switch-sm switch-custom">
                                        <label>
                                            <input type="checkbox" asp-for="IsMarried">
                                            <span></span>
                                        </label>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="spouse d-none" />
                    <h4 class="text-primary spouse d-none">Spouse Details</h4>
                    <div class="row spouse d-none">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label>First Name</label>
                                <input asp-for="SpouseInfo.FirstName" class="form-control form-control-lg capitalize">
                                <span asp-validation-for="SpouseInfo.FirstName" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label>Middle Name</label>
                                <input asp-for="SpouseInfo.MiddleInitial" class="form-control form-control-lg capitalize">
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label>Last Name</label>
                                <input asp-for="SpouseInfo.LastName" class="form-control form-control-lg capitalize">
                                <span asp-validation-for="SpouseInfo.LastName" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                }
                @if (role == Roles.SuperAdmin && ViewBag.SetupKey != null)
                {
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="form-group">
                                <label>Setup Key</label>
                                <div class="input-group">
                                    <input id="SetupKey" class="form-control form-control-lg" disabled value="@ViewBag.SetupKey">
                                    <div class="input-group-append" id="edit-email">
                                        <button class="btn btn-warning w-45px btn-copy" type="button" data-toggle="tooltip" data-original-title="Copy" data-target="SetupKey"><i class="icon-lg far fa-copy"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_client">
                    <i class="@(Model?.Id>0 ? "la la-save":"fab fa-telegram-plane")"></i> @(Model?.Id > 0 ? "Save" : "Send Invitation")
                </button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    var tz = new Date().getTimezoneOffset();
    $("#TimeZone").val(tz);
    $('#IsMarried').change(function() {
        if (this.checked)
            $(".spouse").removeClass("d-none");
        else
            $(".spouse").addClass("d-none");
    });
    $("#edit-email").click(function() {
        $("#ClientModal #ClientEmail").removeClass("disabled");
        $("#code-div").addClass("d-none");
    });
    var ClientEmailChangeComplete = function(response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                var firmId = $("#firm_list .datatable-row-subtable-expanded .datatable-toggle-subtable").data("value");
                if (responseObj.data.oldEmail == responseObj.data.newEmail) {
                    toastr.options = toastrOptions;
                    toastr.success(responseObj.message);
                }
                else {
                    var swalOptions = successSwalOptions;
                    swalOptions.title = responseObj.message;
                    Swal.fire(swalOptions);
                    $("#edit-email").removeClass("d-none");
                    $("#code-div").removeClass("d-none");
                    $("#ClientModal #ClientEmail").addClass("disabled");
                }
                if (!responseObj.data.oldEmail || responseObj.data.oldEmail == responseObj.data.newEmail || $("#VerificationCode").val()) {
                    $(`#${modalId}`).modal('hide');
                    if (window['sub_datatable_' + firmId])
                        window['sub_datatable_' + firmId].reload();
                    if (window["datatable"] != undefined) {
                        var id = window["datatable"][0].id;
                        if ($(`#${id}:visible`).length > 0)
                            datatable.reload();
                    }
                }
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    }
</script>